org.apache.maven.scm.provider.hg.command.checkout

## Class HgCheckOutConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.checkout.HgCheckOutConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class HgCheckOutConsumer
    extends HgConsumer

Version:
  $Id: HgCheckOutConsumer.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  thurner rupert

### Constructor Summary

Constructors
Constructor and Description
`HgCheckOutConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`void` `doConsume(ScmFileStatus status, String line)`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgCheckOutConsumer

    public HgCheckOutConsumer(ScmLogger logger,
                      File workingDirectory)

### Method Detail

#### doConsume

    public void doConsume(ScmFileStatus status,
                 String line)

Overrides:
  `doConsume` in class `HgConsumer`